Subject: bug#28997: 27.0.50; Error in async shell-command process filter

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 31 Oct 2017 11:30:27 +0000

"Noam Postavsky" <[email-masked]> writes:

Thanks for looking into this.

>> The second patch is purely aesthetic and simplifies the cond
>> that is touched by my first patch into an equivalent pcase.
>
> I'm not sure about this one.  There was some contention in the past over
> use of pcase, with some suggestions even to make an opposite
> transformation, e.g., [1].
>
> [1]: https://lists.gnu.org/archive/html/emacs-devel/2016-01/msg00055.html

I am not too partial to pcase over cond here.  I would have
exercised more self-restraint and not suggested the refactor
at all, had I not seen several other examples of pcase in
lisp/simple.el.

FWIW, my justification of (not argument for) using pcase
like cl-case, as in my patch, is that it conveys slightly
more information, namely, "I only want to examine this
single expression's value", with slightly less syntax.

-- 
Basil